static void print_buf (FILE* out, uint8_t *buf, size_t size, size_t ofs, int partial)
{
	size_t pos=0;
	unsigned starting_offset=0;
	unsigned i;

	int hex_numbers_for_ofs=4;
	char fmt_string[32];
	snprintf (fmt_string, sizeof(fmt_string), "0x%%0%dllx: ", hex_numbers_for_ofs);

	int lines_total=(size>>4)+1;

	for (int line=0; size-pos; line++)
	{
		int first_or_last_lines=(line==0) || (line==1) || (line==lines_total-2) || (line==lines_total-1);
		int cond_OK = partial==0 || (partial && first_or_last_lines);
		size_t wpn;
		if ((size-pos)>16)
			wpn=16;
		else
			wpn=size-pos;
		if (cond_OK)
		{
			fprintf (out, fmt_string, (uint64_t)starting_offset + pos + ofs);
			for (i=0; i<wpn; i++)
				fprintf (out, "%02X%c", buf[pos+i], (i==7) ? '-' : ' ');
			if (wpn<16)
				for (i=0; i<16-wpn; i++)
					fprintf (out, "   ");
			fprintf (out, "\"");
			for (i=0; i<wpn; i++)
				fprintf (out, "%c", isprint (buf[pos+i]) ? buf[pos+i] : '.');
			if (wpn<16)
				for (i=0; i<16-wpn; i++)
					fprintf (out, " ");
			fprintf (out, "\"\n");
		};
		if (partial && lines_total>4 && line==2)
			fprintf (out, "\t...\n");

		pos+=wpn;
	};
};
