run_test_for_ciphersuite()
{
    ./toytls_v1.py -vv -host $1 -cipher $2 -save output_$1_$2.bin > stdout_$1_$2.log
    ./toytls_v1.py -vv -host $1 -disable_etm -cipher $2 -save output_$1_$2_NO_ETM.bin > stdout_$1_$2_NO_ETM.log
}
run_test()
{
    ./toytls_v1.py -vv -host $1 -save output_$1.bin > stdout_$1.log
}

rm stdout*.log
rm output*.bin

./toytls_v1.py -vv -host tls-v1-0.badssl.com -port 1010 > stdout_tls_1_0.log
./toytls_v1.py -vv -host tls-v1-1.badssl.com -port 1011 > stdout_tls_1_1.log
./toytls_v1.py -vv -host wrong.host.badssl.com > stdout_wrong_host.log
./toytls_v1.py -vv -host self-signed.badssl.com > stdout_self-signed.log
./toytls_v1.py -vv -host untrusted-root.badssl.com > stdout_untrusted-root.log
./toytls_v1.py -vv -host expired.badssl.com > stdout_expired.log
./toytls_v1.py -vv -host revoked.badssl.com > stdout_revoked.log
run_test apple.com
run_test www.apple.com
run_test google.com
run_test www.google.com
run_test ibm.com
run_test www.ibm.com
run_test instagram.com
run_test reddit.com
run_test www.reddit.com
run_test facebook.com
run_test www.facebook.com
run_test x.com
run_test_for_ciphersuite null.badssl.com TLS_RSA_WITH_NULL_SHA
run_test_for_ciphersuite badssl.com TLS_RSA_WITH_NULL_SHA
run_test_for_ciphersuite badssl.com TLS_RSA_WITH_AES_128_CBC_SHA
run_test_for_ciphersuite badssl.com TLS_RSA_WITH_AES_256_CBC_SHA256
run_test_for_ciphersuite cryptography.re TLS_RSA_WITH_NULL_SHA
run_test_for_ciphersuite cryptography.re TLS_RSA_WITH_AES_128_CBC_SHA
run_test_for_ciphersuite cryptography.re TLS_RSA_WITH_AES_256_CBC_SHA256

bash test2.sh

